Package com.independentsoft.office.drawing

# Enum Class TextAlignmentType

java.lang.Object
java.lang.Enum<TextAlignmentType>
com.independentsoft.office.drawing.TextAlignmentType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAlignmentType>`, `Constable`

public enum TextAlignmentType extends Enum<TextAlignmentType>
The Enum TextAlignmentType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  `DISTRIBUTED`
  `JUSTIFIED`
  `JUSTIFIED_LOW`
  `LEFT`
  `NONE`
  `RIGHT`
  `THAI_DISTRIBUTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextAlignmentType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextAlignmentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CENTER

    public static final TextAlignmentType CENTER

  - ### DISTRIBUTED

    public static final TextAlignmentType DISTRIBUTED

  - ### JUSTIFIED

    public static final TextAlignmentType JUSTIFIED

  - ### JUSTIFIED_LOW

    public static final TextAlignmentType JUSTIFIED_LOW

  - ### LEFT

    public static final TextAlignmentType LEFT

  - ### RIGHT

    public static final TextAlignmentType RIGHT

  - ### THAI_DISTRIBUTED

    public static final TextAlignmentType THAI_DISTRIBUTED

  - ### NONE

    public static final TextAlignmentType NONE

- ## Method Details

  - ### values

    public static TextAlignmentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextAlignmentType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null